Fetch settings

This fetches the current settings for the Billogram business account. It can be used to fetch the current settings prior to creation of billograms.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/settings
curl https://sandbox.billogram.com/api/v2/settings \
  --header 'Authorization: Basic username:password'
{
  "status": "OK",
  "data": {
    "name": "Testbolaget AB",
    "org_no": "848484-2326",
    "company_id": "",
    "registration_email": "contact@example.com",
    "contact": {
      "name": "Sonja",
      "email": "billing@example.com",
      "phone": "",
      "www": ""
    },
    "address": {
      "street_address": "Långgatan 10",
      "careof": "",
      "zipcode": "23456",
      "city": "Exempelköping",
      "province": "",
      "country": "SE"
    },
    "invoice_address": {
      "street_address": "",
      "careof": "",
      "zipcode": "",
      "city": "",
      "province": "",
      "country": "",
      "email": ""
    },
    "registered_office_address": {
      "name": "",
      "street_address": "",
      "careof": "",
      "zipcode": "",
      "city": "",
      "province": "",
      "country": ""
    },
    "return_address": {
      "name": "",
      "street_address": "",
      "careof": "",
      "zipcode": "",
      "city": "",
      "province": "",
      "country": ""
    },
    "visiting_address": {
      "street_address": "",
      "careof": "",
      "zipcode": "",
      "city": "",
      "province": "",
      "country": ""
    },
    "payment": {
      "bankgiro": "1234-5678",
      "plusgiro": "",
      "domestic_bank_account": {
        "account_no": "",
        "clearing_no": ""
      },
      "international_bank_account": {
        "bank": "",
        "iban": "",
        "bic": "",
        "swift": ""
      }
    },
    "tax": {
      "is_vat_registered": true,
      "has_fskatt": true,
      "vat_no": ""
    },
    "bookkeeping": {
      "income_account_for_vat_25": "3001",
      "income_account_for_vat_12": "3002",
      "income_account_for_vat_6": "3003",
      "income_account_for_vat_0": "3004",
      "reversed_vat_account": "3231",
      "vat_account_for_vat_25": "2610",
      "vat_account_for_vat_12": "2620",
      "vat_account_for_vat_6": "2630",
      "sie_serie": "AA",
      "sie_continuous_numbering": "monthly",
      "financial_year_start": "2017-05",
      "financial_year_months": 3,
      "account_receivable_account": "1500",
      "client_funds_account": "1940",
      "banking_account": "1920",
      "interest_fee_account": "8313",
      "reminder_fee_account": "8313",
      "rounding_account": "3740",
      "factoring_receivable_account": "1512",
      "written_down_receivables_account": "1519",
      "expected_loss_account": "6352",
      "confirmed_loss_account": "6351",
      "debt_collection_funds_account": "1941",
      "liabilities_customers_account": "2420",
      "regional_sweden": {
        "rotavdrag_account": "1513"
      }
    },
    "invoices": {
      "default_message": "",
      "default_interest_rate": 8.5,
      "default_reminder_fee": 50,
      "default_invoice_fee": 0,
      "default_reminder_due_days": 0,
      "automatic_reminders": [],
      "automatic_reminders_minimum_principal_sum": 0,
      "automatic_writeoff": {
        "settings": null,
        "amount": null
      },
      "automatic_collection": null,
      "pdf": {
        "template": "unified"
      },
      "show_item_gross_prices": false,
      "show_customer_no": false,
      "show_new_account_notice": false,
      "use_automatic_reminders_partly_paid": true,
      "reminders_without_fee": []
    }
  }
}